# PetscViewerBinaryWrite

writes to a binary file, only from the first process

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerBinaryWrite(PetscViewer viewer,void *data,PetscInt count,PetscDataType dtype,PetscTruth istemp)

Collective on MPI_Comm

### Input Parameters

| viewer | - the binary viewer
| data | - location of data
| count | - number of items of data to read
| istemp | - data may be overwritten
| datatype | - type of data to read

### See Also

PetscViewerASCIIOpen(), PetscViewerSetFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscDataType PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

Level:beginner
Location:src/sys/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages